Bug 73395 - sendmail configuration is not installed by default
sendmail configuration is not installed by default
Product: Red Hat Linux
Classification: Retired
Component: sendmail (Show other bugs)
i386 Linux
medium Severity low
: ---
: ---
Assigned To: Florian La Roche
David Lawrence
Depends On:
  Show dependency treegraph
Reported: 2002-09-03 20:34 EDT by subtlegrace
Modified: 2007-04-18 12:46 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2002-09-03 20:34:45 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description subtlegrace 2002-09-03 20:34:39 EDT
From Bugzilla Helper:
User-Agent: Mozilla/4.0 (compatible; MSIE 6.0; Windows NT 5.1; .NET CLR 

Description of problem:
During a fresh installation from CD-ROM, I select the "Mail server" set of 
packages for installation, but the sendmail-cf package is not installed. In 
order to have this package installed, I must select it manually from the list 
of all available packages. Since sendmail-cf is required in order to configure 
sendmail, this is, to say the least, unexpected behavior.

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1. Boot from the Red Hat Linux BETA cd-rom and run "linux text" for a text-
based installation.
2. Follow the on-screen instructions until you arrive at the screen where you 
select package groups
3. Make sure "Mail server" is checked.
4. Continue with installation.
5. Boot up and attempt to reconfigure sendmail.

Actual Results:  I found that the m4 utility used to turn sendmail.cf into 
sendmail.mc was not installed, and that because of this I could not 
reconfigure sendmail.

Expected Results:  sendmail-cf should have been installed by default, allowing 
the user to reconfigure sendmail if so desired. To the best of my knowledge, 
past versions of Red Hat Linux have all offered this functionality by default 
when installing a mail server.

Additional info:

The problem is, of course, easily fixable by simply installing the sendmail-cf 
package... but this seems rather counter-intuitive, as it goes against past 
behavior and really shouldn't be necessary.
Comment 1 Florian La Roche 2002-12-06 05:51:39 EST
I have enabled this rpm for the mail server selection for future products.

Thanks a lot for your feedback,

Florian La Roche

Note You need to log in before you can comment on or make changes to this bug.